Package org.apache.maven.shared.artifact.filter.collection

## Interface ArtifactsFilter

All Known Implementing Classes:
  `AbstractArtifactFeatureFilter`, `AbstractArtifactsFilter`, `ArtifactIdFilter`, `ArtifactTransitivityFilter`, `ClassifierFilter`, `GroupIdFilter`, `ProjectTransitivityFilter`, `ScopeFilter`, `TypeFilter`

    public interface ArtifactsFilter

Author:
  Brian Fox

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Set<org.apache.maven.artifact.Artifact>` `filter​(java.util.Set<org.apache.maven.artifact.Artifact> artifacts)`
`boolean` `isArtifactIncluded​(org.apache.maven.artifact.Artifact artifact)`

### Method Detail

#### filter

    java.util.Set<org.apache.maven.artifact.Artifact> filter​(java.util.Set<org.apache.maven.artifact.Artifact> artifacts)
                                                      throws ArtifactFilterException

Parameters:
  `artifacts` - `Artifact`
Returns:
  Set of artifacts.
Throws:
  `ArtifactFilterException` - in case of a failure.

#### isArtifactIncluded

    boolean isArtifactIncluded​(org.apache.maven.artifact.Artifact artifact)
                        throws ArtifactFilterException

Parameters:
  `artifact` - `Artifact`
Returns:
  `true` if artifact is included `false` otherwise.
Throws:
  `ArtifactFilterException` - in case of a failure.